Subject: Local enctypes as hints for decrypting tickets

From: Sam Hartman <[email-masked]>
Date: Thu, 21 Oct 2004 13:43:01 -0400

I'm writing this message for IPR disclosure reasons; I want to get
this logged in a standards forum.

Someone approached me recently with a problem for which ticket
extensions were the clear solution.  They wanted to be able to stick
some information in a ticket to help a decrypting party know what key
to use.  However they could not delay for extensions.

I pointed out that you can solve this problem with local enctypes.
You define a local enctype whose data includes the hint information
you need and includes the encrypted data.  You then only use this
enctype when talking to parties that support it.

I believe I came up with a similar hack that Marc Horowitz presented
at the Orlando IETF regarding pkinit.

I don't think this should be standardized, just wanted to contribute
it as a possible option for those considering this problem.